Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.support.avtransport.event
Class Instance

    java.lang.Object
      org.teleal.cling.support.avtransport.event.Instance

    public class Instance

extends Object

InstanceID elements identify an individual event instance.

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice maxOccurs="unbounded" minOccurs="0">
             <group ref="{urn:schemas-upnp-org:metadata-1-0/AVT/}allowed-under-InstanceID"/>
           </choice>
           <attribute name="val" use="required" type="{http://www.w3.org/2001/XMLSchema}unsignedInt" />
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected List<Object>` | `stateVariables`
`protected long` | `val`

Constructor Summary
`Instance()`

Method Summary
`List<Object>` | `getStateVariables()` Gets the value of the stateVariables property.
`long` | `getVal()` Gets the value of the val property.
`void` | `setVal(long value)` Sets the value of the val property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### stateVariables

    protected List<Object> stateVariables

### val

    protected long val

Constructor Detail

### Instance

    public Instance()

Method Detail

### getStateVariables

    public List<Object> getStateVariables()

  Gets the value of the stateVariables property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the stateVariables property.

  For example, to add a new item, do as follows:

          getStateVariables().add(newItem);

  Objects of the following type(s) are allowed in the list `RecordStorageMedium` `RecordMediumWriteStatus` `PlaybackStorageMedium` `CurrentTrackMetadata` `NumberOfTracks` `NextAVTransportURI` `CurrentTrackURI` `CurrentTrack` `CurrentTransportActions` `TransportPlaySpeed` `CurrentMediaDuration` `PossibleRecordStorageMedia` `CurrentRecordQualityMode` `CurrentPlayMode` `PossibleRecordQualityMode` `AVTransportURI` `TransportStatus` `TransportState` `CurrentTrackDuration` `PossiblePlaybackStorageMedia`

### getVal

    public long getVal()

  Gets the value of the val property.

### setVal

    public void setVal(long value)

  Sets the value of the val property.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.